> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/cancel-subscription-input.md).

# CancelSubscriptionInput

### Fields

#### clientMutationId ([String](/graphql-api/api-reference/objects/string.md))

A unique identifier for the client performing the mutation.

#### token ([ID](/graphql-api/api-reference/objects/id.md))

The token of the subscription to cancel, only needed if a project access token is used.

#### id ([ID](/graphql-api/api-reference/objects/id.md))

The ID of the subscription to cancel, only needed if a project access token is used.

#### skipTwoStepCancellation ([Boolean](/graphql-api/api-reference/objects/boolean.md))

If two-step cancellation is enabled it can be skipped

#### skipCancellationConfirmationEmail ([Boolean](/graphql-api/api-reference/objects/boolean.md))

Skip sending the standard cancellation confirmation email to the customer.

#### cancellationNotes ([String](/graphql-api/api-reference/objects/string.md))

Why did this customer decide to cancel?

#### skipContractTermsEnforcement ([Boolean](/graphql-api/api-reference/objects/boolean.md))

If a customer cannot be cancelled due to active commitments, this process can be skipped.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/cancel-subscription-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
